﻿using SuValue.Entity.Request;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace SuValue.API.Controllers
{
    public class BaseController : ApiController
    {
        public readonly string KEY = "350E6436-8A02-4683-9697-8AAD368B1D91";//API
        /// <summary>
        /// 验证Token
        /// </summary>
        /// <param name="key"></param>
        /// <param name="date"></param>
        /// <returns></returns>
        public bool Authentication(string key)
        {
            if (string.IsNullOrEmpty(key)) return false;

            return key.ToUpper().Equals(KEY);
        }


        /// <summary>
        /// 用于将错误信息输出到txt文件
        /// </summary>
        /// <param name="errorMessage">错误详细信息</param>
        public static void WriteError(string errorMessage)
        {
            try
            {
                string path = "~/Error/" + DateTime.Today.ToString("yyMMdd") + ".txt";
                if (!File.Exists(System.Web.HttpContext.Current.Server.MapPath(path)))
                {
                    File.Create(System.Web.HttpContext.Current.Server.MapPath(path)).Close();
                }
                using (StreamWriter w = File.AppendText(System.Web.HttpContext.Current.Server.MapPath(path)))
                {
                    w.WriteLine("\r\nLog Entry : ");
                    w.WriteLine("{0}", DateTime.Now.ToString(CultureInfo.InvariantCulture));
                    w.WriteLine(errorMessage);
                    w.WriteLine("________________________________________________________");
                    w.Flush();
                    w.Close();
                }
            }
            catch (Exception ex)
            {
                WriteError(ex.Message);
            }
        }


    }
}
