﻿
using Suvalue.Redis;
using SuValue.BLL;
using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;


namespace SuValue.API.Controllers
{
    /// <summary>
    /// 首页信息
    /// </summary>
    public class HomeController : BaseController
    {


        HospitalBLL bll = new HospitalBLL();

        /// <summary>
        /// 各省份医院数量情况
        /// </summary>  
        /// <param name="model">校验码</param>
        [HttpGet]
        [Route("api/Home/GetProvincialHospital")]
        public EntityResult GetProvincialHospital([FromUri]EntityBase model)
        {
            try
            {
               
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);
                List<EntityProvinceCount> list = bll.GetProvincialHospital();
                return new EntityResult(ResultType.Success, "", list);
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }


        /// <summary>
        /// 医院地区分布情况
        /// </summary>
        /// <param name="model">校验码</param>
        [HttpGet]
        [Route("api/Home/GetHospArea")]
        public EntityResult GetHospArea([FromUri]EntityBase model)
        {
            try
            {
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);
                List<EntityReport> list = bll.GetHospAreaTable();
                return new EntityResult(ResultType.Success, "", list);
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }

        /// <summary>
        /// 医院等级分布情况
        /// </summary>
        /// <param name="model">校验码</param>
        [HttpGet]
        [Route("api/Home/GetHospGrade")]
        public EntityResult GetHospGrade([FromUri]EntityBase model)
        {
            try
            {
                HospitalBLL hbll = new HospitalBLL();
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);

                List<EntityReport> list = hbll.GetHospLevelTable();

                return new EntityResult(ResultType.Success, "", list);
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }

        /// <summary>
        /// 医院性质分布情况
        /// </summary>
        /// <param name="model">校验码</param>
        [HttpGet]
        [Route("api/Home/GetHospType")]
        public EntityResult GetHospType([FromUri]EntityBase model)
        {
            HospitalBLL hbll = new HospitalBLL();
            try
            {
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);

                List<EntityReport> list = hbll.GetHospNaturesTable();

                return new EntityResult(ResultType.Success, "", list);
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }

    }
}
