﻿
using Suvalue.Redis;
using SuValue.BLL;
using SuValue.Entity;
using SuValue.Entity.Request;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;


namespace SuValue.API.Controllers.SystemInfo
{
    /// <summary>
    /// 菜单信息
    /// </summary>
    public class MenuController : BaseController
    {

        /// <summary>
        /// 获取一级菜单
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        [HttpGet]
        public EntityResult GetMenuListAll([FromUri]EntityBase model)
        {
            try
            {
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);

                MenuBLL bll = new MenuBLL();

                List<EntityMenu> list = bll.GetMenuLevelList(1, model.token);

                return new EntityResult(ResultType.Success, "", list);
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }


        /// <summary>
        /// 获取二级三级菜单
        /// </summary>
        /// <param name="model"></param>
        /// <param name="parentid">父级编码</param>
        /// <returns></returns>
        [HttpGet]
        public EntityResult GetMenuParentID([FromUri]EntityBase model, int ParentID)
        {
            try
            {
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);

                //  RedisHelper redis = new RedisHelper();

                //string key = "Menu_GetMenuParentID__ParentID&UserID" + ParentID + "&" + model.userid;

                //List<EntityMenu> list = redis.StringGet<List<EntityMenu>>(key);

                //if (list == null)
                //{
                MenuBLL bll = new MenuBLL();

                List<EntityMenu> list = bll.GetMenuParentidList(Convert.ToInt32(model.userid), ParentID);

                //    redis.StringSet<List<EntityMenu>>(key, list, new TimeSpan(DateTime.Now.AddDays(30).Ticks));
                //}

                return new EntityResult(ResultType.Success, "", list);
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }

    }
}
