﻿
using SuValue.BLL;
using SuValue.Entity;
using SuValue.Entity.Request;
using SuValue.Entity.Responese;
using SuValue.Helpers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace SuValue.API.Controllers
{
    public class ReportController : BaseController
    {
        /// <summary>
        /// 报表搜索
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        [HttpPost]
        public EntityResult Search([FromBody] EntitySearch model)
        {
            try
            {
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);

                ReportBLL bll = new ReportBLL();

                EntityResult result = new EntityResult(ResultType.Success);

                WriteError(JsonHelper.ToJson(model));

                result.data   = bll.GetReportData(model);

                WriteError(JsonHelper.ToJson(result));

                return result;
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }

        }
    }
}
