﻿
using SuValue.DAL;
using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace SuValue.BLL
{
    /// <summary>
    /// 医院
    /// </summary>
    public class HospitalBLL
    {


        /// <summary>
        /// 医院地域分布情况
        /// </summary>
        /// <returns></returns>
        public List<EntityReport> GetHospAreaTable()
        {
            using (sys_hospitalDAL dal = new sys_hospitalDAL())
            {
                List<EntityChartData> data = dal.GetHospAreaTable();
                List<EntityReport> list = new List<EntityReport>();
                list.Add(new EntityReport { chartData = data });
                return list;
            }
        }

        /// <summary>
        /// 医院等级分布情况
        /// </summary>
        /// <returns></returns>
        public List<EntityReport> GetHospLevelTable()
        {
            using (sys_hospitalDAL dal = new sys_hospitalDAL())
            {
                List<EntityChartData> data = dal.GetHospLevelTable();
                List<EntityReport> list = new List<EntityReport>();
                list.Add(new EntityReport { chartData = data });
                return list;
            }
        }

        /// <summary>
        /// 医院性质
        /// </summary>
        /// <returns></returns>
        public List<EntityReport> GetHospNaturesTable()
        {
            using (sys_hospitalDAL dal = new sys_hospitalDAL())
            {
                List<EntityChartData> data = dal.GetHospNaturesTable();
                List<EntityReport> list = new List<EntityReport>();
                list.Add(new EntityReport { chartData = data });
                return list;
            }
        }
        /// <summary>
        /// 各省份医院数量
        /// </summary>
        /// <returns></returns>
        public List<EntityProvinceCount> GetProvincialHospital()
        {
            using (sys_hospitalDAL dal = new sys_hospitalDAL())
            {

                List<EntityProvinceCount> list = dal.GetHospDataTable();//省份信息
                return list;
            }
        }



    }
}
