﻿
using SuValue.DAL;
using SuValue.Database.Entity;
using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace SuValue.BLL
{
    /// <summary>
    /// 菜单
    /// </summary>
    public class MenuBLL
    {

        /// <summary>
        /// 根据菜单等级获取菜单集合
        /// </summary>
        /// <param name="level">级别</param>
        /// <param name="openkey">项目编码</param>
        /// <returns></returns>
        public List<EntityMenu> GetMenuLevelList(int level, string openkey)
        {
            using (sys_menuDAL dal = new sys_menuDAL())
            {
                List<sys_menu> menuList = dal.GetMenuLevelList(level, openkey);

                List<EntityMenu> mol = new List<EntityMenu>();

                foreach (var item in menuList)
                {
                    mol.Add(new EntityMenu(item));
                }
                return mol;
            }

        }

        /// <summary>
        /// 根据父级菜单ID获取二、三级菜单
        /// </summary>
        /// <param name="userid">用户编码</param>
        /// <param name="parentID"></param>
        /// <returns></returns>
        public List<EntityMenu> GetMenuParentidList(int userid, int parentID)
        {
            using (sys_menuDAL dal = new sys_menuDAL())
            {
                List<EntityMenu> mol = new List<EntityMenu>();

                //获取所有菜单

                List<sys_menu> menuList = dal.GetObjects().Where(o => o.States == 0).OrderBy(o => o.Sort).ToList();

                //获取一级菜单对应的条件
                List<EntitySearchData> SearchDataList = new List<EntitySearchData>();

                da_selectionDAL sdal = new da_selectionDAL(dal._db);

                List<da_selection> selectionList = sdal.GetMenuIdList(parentID);

                foreach (var item in selectionList)
                {
                    EntitySearchData data = new EntitySearchData(item);
                    //1 表示直接获取 2表示需要到数据库中获取
                    if (item.type == 1)
                    {
                        foreach (var value in item.values.Split(','))
                        {
                            string[] key_value = value.Split('|');

                            if (key_value.Length > 1)
                            {
                                data.SelectItemList.Add(new EntitySelectItem { name = key_value[0], value = key_value[1] });
                            }
                            else
                            {
                                data.SelectItemList.Add(new EntitySelectItem { name = value, value = value });
                            }
                        }

                    }
                    else if (item.type == 2)
                    {



                        data.SelectItemList = sdal.GetSelectItem(userid, item.execSql);

                    }

                    SearchDataList.Add(data);
                }


                foreach (var item in menuList.Where(o => o.ParentID == parentID))//获取二级菜单
                {
                    EntityMenu entity2 = new EntityMenu(item);
                    entity2.SearchDataList = SearchDataList;
                    mol.Add(entity2);

                    foreach (var item3 in menuList.Where(o => o.ParentID == item.ID))//获取三级菜单
                    {
                        EntityMenu entity3 = new EntityMenu(item3);
                        // entity3.SearchDataList = SearchDataList;
                        entity2.MenuList.Add(entity3);
                    }
                }

                return mol;
            }
        }


    }
}
