﻿  




using System; 
using SuValue.Helpers;
using System.Collections.Generic;
using SuValue.Database;
using SuValue.Database.Entity;
using SuValue.Entity;

namespace SuValue.DAL
{
   
	 
    

    public partial class da_reportDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public da_reportDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public da_reportDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<da_report>(new da_report { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(da_report t)
        {
            string sql = _db.ObjectToInsertSql<da_report>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(da_report t)
        {
            string sql = _db.ObjectToUpdateSql<da_report>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public da_report GetObject(int id)
        {
            da_report obj = _db.QueryForObjectSql<da_report>(new da_report()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public da_report GetObject(string where)
        {
            da_report obj = _db.QueryForObjectSql<da_report>(new da_report(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public da_report GetObject(string where, string orderby)
        {
            da_report obj = _db.QueryForObjectSql<da_report>(new da_report(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<da_report> GetObjects()
        {
            List<da_report> obj = _db.QueryForListSql<da_report>(new da_report());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<da_report> GetObjects(string where)
        {
            List<da_report> obj = _db.QueryForListSql<da_report>(new da_report(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<da_report> GetObjects(string where, string orderby)
        {
            List<da_report> obj = _db.QueryForListSql<da_report>(new da_report(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<da_report> GetObjects(int pageindex, int pagesize)
        {
            Page<da_report> obj = _db.QueryForListSql<da_report>(new da_report(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<da_report> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<da_report> obj = _db.QueryForListSql<da_report>(new da_report(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<da_report> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<da_report> obj = _db.QueryForListSql<da_report>(new da_report(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class da_selectionDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public da_selectionDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public da_selectionDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<da_selection>(new da_selection { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(da_selection t)
        {
            string sql = _db.ObjectToInsertSql<da_selection>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(da_selection t)
        {
            string sql = _db.ObjectToUpdateSql<da_selection>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public da_selection GetObject(int id)
        {
            da_selection obj = _db.QueryForObjectSql<da_selection>(new da_selection()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public da_selection GetObject(string where)
        {
            da_selection obj = _db.QueryForObjectSql<da_selection>(new da_selection(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public da_selection GetObject(string where, string orderby)
        {
            da_selection obj = _db.QueryForObjectSql<da_selection>(new da_selection(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<da_selection> GetObjects()
        {
            List<da_selection> obj = _db.QueryForListSql<da_selection>(new da_selection());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<da_selection> GetObjects(string where)
        {
            List<da_selection> obj = _db.QueryForListSql<da_selection>(new da_selection(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<da_selection> GetObjects(string where, string orderby)
        {
            List<da_selection> obj = _db.QueryForListSql<da_selection>(new da_selection(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<da_selection> GetObjects(int pageindex, int pagesize)
        {
            Page<da_selection> obj = _db.QueryForListSql<da_selection>(new da_selection(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<da_selection> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<da_selection> obj = _db.QueryForListSql<da_selection>(new da_selection(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<da_selection> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<da_selection> obj = _db.QueryForListSql<da_selection>(new da_selection(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sms_mtDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sms_mtDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sms_mtDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sms_mt>(new sms_mt { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sms_mt t)
        {
            string sql = _db.ObjectToInsertSql<sms_mt>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sms_mt t)
        {
            string sql = _db.ObjectToUpdateSql<sms_mt>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sms_mt GetObject(int id)
        {
            sms_mt obj = _db.QueryForObjectSql<sms_mt>(new sms_mt()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sms_mt GetObject(string where)
        {
            sms_mt obj = _db.QueryForObjectSql<sms_mt>(new sms_mt(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sms_mt GetObject(string where, string orderby)
        {
            sms_mt obj = _db.QueryForObjectSql<sms_mt>(new sms_mt(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sms_mt> GetObjects()
        {
            List<sms_mt> obj = _db.QueryForListSql<sms_mt>(new sms_mt());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sms_mt> GetObjects(string where)
        {
            List<sms_mt> obj = _db.QueryForListSql<sms_mt>(new sms_mt(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sms_mt> GetObjects(string where, string orderby)
        {
            List<sms_mt> obj = _db.QueryForListSql<sms_mt>(new sms_mt(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sms_mt> GetObjects(int pageindex, int pagesize)
        {
            Page<sms_mt> obj = _db.QueryForListSql<sms_mt>(new sms_mt(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sms_mt> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sms_mt> obj = _db.QueryForListSql<sms_mt>(new sms_mt(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sms_mt> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sms_mt> obj = _db.QueryForListSql<sms_mt>(new sms_mt(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_atcDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_atcDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_atcDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_atc>(new sys_atc { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_atc t)
        {
            string sql = _db.ObjectToInsertSql<sys_atc>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_atc t)
        {
            string sql = _db.ObjectToUpdateSql<sys_atc>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_atc GetObject(int id)
        {
            sys_atc obj = _db.QueryForObjectSql<sys_atc>(new sys_atc()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_atc GetObject(string where)
        {
            sys_atc obj = _db.QueryForObjectSql<sys_atc>(new sys_atc(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_atc GetObject(string where, string orderby)
        {
            sys_atc obj = _db.QueryForObjectSql<sys_atc>(new sys_atc(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_atc> GetObjects()
        {
            List<sys_atc> obj = _db.QueryForListSql<sys_atc>(new sys_atc());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_atc> GetObjects(string where)
        {
            List<sys_atc> obj = _db.QueryForListSql<sys_atc>(new sys_atc(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_atc> GetObjects(string where, string orderby)
        {
            List<sys_atc> obj = _db.QueryForListSql<sys_atc>(new sys_atc(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_atc> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_atc> obj = _db.QueryForListSql<sys_atc>(new sys_atc(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_atc> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_atc> obj = _db.QueryForListSql<sys_atc>(new sys_atc(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_atc> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_atc> obj = _db.QueryForListSql<sys_atc>(new sys_atc(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_diseaseDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_diseaseDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_diseaseDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_disease>(new sys_disease { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_disease t)
        {
            string sql = _db.ObjectToInsertSql<sys_disease>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_disease t)
        {
            string sql = _db.ObjectToUpdateSql<sys_disease>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_disease GetObject(int id)
        {
            sys_disease obj = _db.QueryForObjectSql<sys_disease>(new sys_disease()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_disease GetObject(string where)
        {
            sys_disease obj = _db.QueryForObjectSql<sys_disease>(new sys_disease(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_disease GetObject(string where, string orderby)
        {
            sys_disease obj = _db.QueryForObjectSql<sys_disease>(new sys_disease(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_disease> GetObjects()
        {
            List<sys_disease> obj = _db.QueryForListSql<sys_disease>(new sys_disease());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_disease> GetObjects(string where)
        {
            List<sys_disease> obj = _db.QueryForListSql<sys_disease>(new sys_disease(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_disease> GetObjects(string where, string orderby)
        {
            List<sys_disease> obj = _db.QueryForListSql<sys_disease>(new sys_disease(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_disease> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_disease> obj = _db.QueryForListSql<sys_disease>(new sys_disease(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_disease> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_disease> obj = _db.QueryForListSql<sys_disease>(new sys_disease(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_disease> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_disease> obj = _db.QueryForListSql<sys_disease>(new sys_disease(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_drugDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_drugDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_drugDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_drug>(new sys_drug { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_drug t)
        {
            string sql = _db.ObjectToInsertSql<sys_drug>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_drug t)
        {
            string sql = _db.ObjectToUpdateSql<sys_drug>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_drug GetObject(int id)
        {
            sys_drug obj = _db.QueryForObjectSql<sys_drug>(new sys_drug()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_drug GetObject(string where)
        {
            sys_drug obj = _db.QueryForObjectSql<sys_drug>(new sys_drug(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_drug GetObject(string where, string orderby)
        {
            sys_drug obj = _db.QueryForObjectSql<sys_drug>(new sys_drug(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_drug> GetObjects()
        {
            List<sys_drug> obj = _db.QueryForListSql<sys_drug>(new sys_drug());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_drug> GetObjects(string where)
        {
            List<sys_drug> obj = _db.QueryForListSql<sys_drug>(new sys_drug(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_drug> GetObjects(string where, string orderby)
        {
            List<sys_drug> obj = _db.QueryForListSql<sys_drug>(new sys_drug(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_drug> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_drug> obj = _db.QueryForListSql<sys_drug>(new sys_drug(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_drug> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_drug> obj = _db.QueryForListSql<sys_drug>(new sys_drug(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_drug> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_drug> obj = _db.QueryForListSql<sys_drug>(new sys_drug(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_drug_infoDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_drug_infoDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_drug_infoDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_drug_info>(new sys_drug_info { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_drug_info t)
        {
            string sql = _db.ObjectToInsertSql<sys_drug_info>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_drug_info t)
        {
            string sql = _db.ObjectToUpdateSql<sys_drug_info>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_drug_info GetObject(int id)
        {
            sys_drug_info obj = _db.QueryForObjectSql<sys_drug_info>(new sys_drug_info()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_drug_info GetObject(string where)
        {
            sys_drug_info obj = _db.QueryForObjectSql<sys_drug_info>(new sys_drug_info(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_drug_info GetObject(string where, string orderby)
        {
            sys_drug_info obj = _db.QueryForObjectSql<sys_drug_info>(new sys_drug_info(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_drug_info> GetObjects()
        {
            List<sys_drug_info> obj = _db.QueryForListSql<sys_drug_info>(new sys_drug_info());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_drug_info> GetObjects(string where)
        {
            List<sys_drug_info> obj = _db.QueryForListSql<sys_drug_info>(new sys_drug_info(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_drug_info> GetObjects(string where, string orderby)
        {
            List<sys_drug_info> obj = _db.QueryForListSql<sys_drug_info>(new sys_drug_info(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_drug_info> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_drug_info> obj = _db.QueryForListSql<sys_drug_info>(new sys_drug_info(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_drug_info> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_drug_info> obj = _db.QueryForListSql<sys_drug_info>(new sys_drug_info(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_drug_info> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_drug_info> obj = _db.QueryForListSql<sys_drug_info>(new sys_drug_info(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_groupDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_groupDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_groupDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_group>(new sys_group { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_group t)
        {
            string sql = _db.ObjectToInsertSql<sys_group>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_group t)
        {
            string sql = _db.ObjectToUpdateSql<sys_group>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_group GetObject(int id)
        {
            sys_group obj = _db.QueryForObjectSql<sys_group>(new sys_group()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_group GetObject(string where)
        {
            sys_group obj = _db.QueryForObjectSql<sys_group>(new sys_group(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_group GetObject(string where, string orderby)
        {
            sys_group obj = _db.QueryForObjectSql<sys_group>(new sys_group(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_group> GetObjects()
        {
            List<sys_group> obj = _db.QueryForListSql<sys_group>(new sys_group());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_group> GetObjects(string where)
        {
            List<sys_group> obj = _db.QueryForListSql<sys_group>(new sys_group(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_group> GetObjects(string where, string orderby)
        {
            List<sys_group> obj = _db.QueryForListSql<sys_group>(new sys_group(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_group> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_group> obj = _db.QueryForListSql<sys_group>(new sys_group(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_group> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_group> obj = _db.QueryForListSql<sys_group>(new sys_group(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_group> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_group> obj = _db.QueryForListSql<sys_group>(new sys_group(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_hospitalDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_hospitalDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_hospitalDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_hospital>(new sys_hospital { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_hospital t)
        {
            string sql = _db.ObjectToInsertSql<sys_hospital>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_hospital t)
        {
            string sql = _db.ObjectToUpdateSql<sys_hospital>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_hospital GetObject(int id)
        {
            sys_hospital obj = _db.QueryForObjectSql<sys_hospital>(new sys_hospital()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_hospital GetObject(string where)
        {
            sys_hospital obj = _db.QueryForObjectSql<sys_hospital>(new sys_hospital(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_hospital GetObject(string where, string orderby)
        {
            sys_hospital obj = _db.QueryForObjectSql<sys_hospital>(new sys_hospital(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_hospital> GetObjects()
        {
            List<sys_hospital> obj = _db.QueryForListSql<sys_hospital>(new sys_hospital());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_hospital> GetObjects(string where)
        {
            List<sys_hospital> obj = _db.QueryForListSql<sys_hospital>(new sys_hospital(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_hospital> GetObjects(string where, string orderby)
        {
            List<sys_hospital> obj = _db.QueryForListSql<sys_hospital>(new sys_hospital(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_hospital> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_hospital> obj = _db.QueryForListSql<sys_hospital>(new sys_hospital(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_hospital> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_hospital> obj = _db.QueryForListSql<sys_hospital>(new sys_hospital(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_hospital> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_hospital> obj = _db.QueryForListSql<sys_hospital>(new sys_hospital(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_logDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_logDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_logDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_log>(new sys_log { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_log t)
        {
            string sql = _db.ObjectToInsertSql<sys_log>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_log t)
        {
            string sql = _db.ObjectToUpdateSql<sys_log>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_log GetObject(int id)
        {
            sys_log obj = _db.QueryForObjectSql<sys_log>(new sys_log()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_log GetObject(string where)
        {
            sys_log obj = _db.QueryForObjectSql<sys_log>(new sys_log(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_log GetObject(string where, string orderby)
        {
            sys_log obj = _db.QueryForObjectSql<sys_log>(new sys_log(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_log> GetObjects()
        {
            List<sys_log> obj = _db.QueryForListSql<sys_log>(new sys_log());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_log> GetObjects(string where)
        {
            List<sys_log> obj = _db.QueryForListSql<sys_log>(new sys_log(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_log> GetObjects(string where, string orderby)
        {
            List<sys_log> obj = _db.QueryForListSql<sys_log>(new sys_log(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_log> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_log> obj = _db.QueryForListSql<sys_log>(new sys_log(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_log> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_log> obj = _db.QueryForListSql<sys_log>(new sys_log(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_log> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_log> obj = _db.QueryForListSql<sys_log>(new sys_log(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_logininfoDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_logininfoDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_logininfoDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_logininfo>(new sys_logininfo { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_logininfo t)
        {
            string sql = _db.ObjectToInsertSql<sys_logininfo>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_logininfo t)
        {
            string sql = _db.ObjectToUpdateSql<sys_logininfo>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_logininfo GetObject(int id)
        {
            sys_logininfo obj = _db.QueryForObjectSql<sys_logininfo>(new sys_logininfo()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_logininfo GetObject(string where)
        {
            sys_logininfo obj = _db.QueryForObjectSql<sys_logininfo>(new sys_logininfo(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_logininfo GetObject(string where, string orderby)
        {
            sys_logininfo obj = _db.QueryForObjectSql<sys_logininfo>(new sys_logininfo(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_logininfo> GetObjects()
        {
            List<sys_logininfo> obj = _db.QueryForListSql<sys_logininfo>(new sys_logininfo());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_logininfo> GetObjects(string where)
        {
            List<sys_logininfo> obj = _db.QueryForListSql<sys_logininfo>(new sys_logininfo(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_logininfo> GetObjects(string where, string orderby)
        {
            List<sys_logininfo> obj = _db.QueryForListSql<sys_logininfo>(new sys_logininfo(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_logininfo> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_logininfo> obj = _db.QueryForListSql<sys_logininfo>(new sys_logininfo(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_logininfo> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_logininfo> obj = _db.QueryForListSql<sys_logininfo>(new sys_logininfo(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_logininfo> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_logininfo> obj = _db.QueryForListSql<sys_logininfo>(new sys_logininfo(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_menuDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_menuDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_menuDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_menu>(new sys_menu { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_menu t)
        {
            string sql = _db.ObjectToInsertSql<sys_menu>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_menu t)
        {
            string sql = _db.ObjectToUpdateSql<sys_menu>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_menu GetObject(int id)
        {
            sys_menu obj = _db.QueryForObjectSql<sys_menu>(new sys_menu()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_menu GetObject(string where)
        {
            sys_menu obj = _db.QueryForObjectSql<sys_menu>(new sys_menu(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_menu GetObject(string where, string orderby)
        {
            sys_menu obj = _db.QueryForObjectSql<sys_menu>(new sys_menu(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_menu> GetObjects()
        {
            List<sys_menu> obj = _db.QueryForListSql<sys_menu>(new sys_menu());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_menu> GetObjects(string where)
        {
            List<sys_menu> obj = _db.QueryForListSql<sys_menu>(new sys_menu(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_menu> GetObjects(string where, string orderby)
        {
            List<sys_menu> obj = _db.QueryForListSql<sys_menu>(new sys_menu(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_menu> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_menu> obj = _db.QueryForListSql<sys_menu>(new sys_menu(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_menu> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_menu> obj = _db.QueryForListSql<sys_menu>(new sys_menu(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_menu> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_menu> obj = _db.QueryForListSql<sys_menu>(new sys_menu(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_projectDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_projectDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_projectDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_project>(new sys_project { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_project t)
        {
            string sql = _db.ObjectToInsertSql<sys_project>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_project t)
        {
            string sql = _db.ObjectToUpdateSql<sys_project>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_project GetObject(int id)
        {
            sys_project obj = _db.QueryForObjectSql<sys_project>(new sys_project()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_project GetObject(string where)
        {
            sys_project obj = _db.QueryForObjectSql<sys_project>(new sys_project(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_project GetObject(string where, string orderby)
        {
            sys_project obj = _db.QueryForObjectSql<sys_project>(new sys_project(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_project> GetObjects()
        {
            List<sys_project> obj = _db.QueryForListSql<sys_project>(new sys_project());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_project> GetObjects(string where)
        {
            List<sys_project> obj = _db.QueryForListSql<sys_project>(new sys_project(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_project> GetObjects(string where, string orderby)
        {
            List<sys_project> obj = _db.QueryForListSql<sys_project>(new sys_project(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_project> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_project> obj = _db.QueryForListSql<sys_project>(new sys_project(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_project> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_project> obj = _db.QueryForListSql<sys_project>(new sys_project(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_project> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_project> obj = _db.QueryForListSql<sys_project>(new sys_project(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_taskDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_taskDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_taskDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_task>(new sys_task { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_task t)
        {
            string sql = _db.ObjectToInsertSql<sys_task>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_task t)
        {
            string sql = _db.ObjectToUpdateSql<sys_task>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_task GetObject(int id)
        {
            sys_task obj = _db.QueryForObjectSql<sys_task>(new sys_task()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_task GetObject(string where)
        {
            sys_task obj = _db.QueryForObjectSql<sys_task>(new sys_task(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_task GetObject(string where, string orderby)
        {
            sys_task obj = _db.QueryForObjectSql<sys_task>(new sys_task(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_task> GetObjects()
        {
            List<sys_task> obj = _db.QueryForListSql<sys_task>(new sys_task());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_task> GetObjects(string where)
        {
            List<sys_task> obj = _db.QueryForListSql<sys_task>(new sys_task(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_task> GetObjects(string where, string orderby)
        {
            List<sys_task> obj = _db.QueryForListSql<sys_task>(new sys_task(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_task> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_task> obj = _db.QueryForListSql<sys_task>(new sys_task(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_task> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_task> obj = _db.QueryForListSql<sys_task>(new sys_task(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_task> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_task> obj = _db.QueryForListSql<sys_task>(new sys_task(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_task_configDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_task_configDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_task_configDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_task_config>(new sys_task_config { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_task_config t)
        {
            string sql = _db.ObjectToInsertSql<sys_task_config>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_task_config t)
        {
            string sql = _db.ObjectToUpdateSql<sys_task_config>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_task_config GetObject(int id)
        {
            sys_task_config obj = _db.QueryForObjectSql<sys_task_config>(new sys_task_config()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_task_config GetObject(string where)
        {
            sys_task_config obj = _db.QueryForObjectSql<sys_task_config>(new sys_task_config(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_task_config GetObject(string where, string orderby)
        {
            sys_task_config obj = _db.QueryForObjectSql<sys_task_config>(new sys_task_config(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_task_config> GetObjects()
        {
            List<sys_task_config> obj = _db.QueryForListSql<sys_task_config>(new sys_task_config());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_task_config> GetObjects(string where)
        {
            List<sys_task_config> obj = _db.QueryForListSql<sys_task_config>(new sys_task_config(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_task_config> GetObjects(string where, string orderby)
        {
            List<sys_task_config> obj = _db.QueryForListSql<sys_task_config>(new sys_task_config(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_task_config> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_task_config> obj = _db.QueryForListSql<sys_task_config>(new sys_task_config(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_task_config> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_task_config> obj = _db.QueryForListSql<sys_task_config>(new sys_task_config(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_task_config> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_task_config> obj = _db.QueryForListSql<sys_task_config>(new sys_task_config(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_userDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_userDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_userDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_user>(new sys_user { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_user t)
        {
            string sql = _db.ObjectToInsertSql<sys_user>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_user t)
        {
            string sql = _db.ObjectToUpdateSql<sys_user>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_user GetObject(int id)
        {
            sys_user obj = _db.QueryForObjectSql<sys_user>(new sys_user()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_user GetObject(string where)
        {
            sys_user obj = _db.QueryForObjectSql<sys_user>(new sys_user(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_user GetObject(string where, string orderby)
        {
            sys_user obj = _db.QueryForObjectSql<sys_user>(new sys_user(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_user> GetObjects()
        {
            List<sys_user> obj = _db.QueryForListSql<sys_user>(new sys_user());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_user> GetObjects(string where)
        {
            List<sys_user> obj = _db.QueryForListSql<sys_user>(new sys_user(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_user> GetObjects(string where, string orderby)
        {
            List<sys_user> obj = _db.QueryForListSql<sys_user>(new sys_user(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_user> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_user> obj = _db.QueryForListSql<sys_user>(new sys_user(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_user> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_user> obj = _db.QueryForListSql<sys_user>(new sys_user(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_user> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_user> obj = _db.QueryForListSql<sys_user>(new sys_user(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
	 
    

    public partial class sys_user_projectDAL  :IDisposable
    {
	    public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public sys_user_projectDAL()
        {
            _db = new DbUtility();

            _db.OpenConnection();
        }

        public sys_user_projectDAL(DbUtility db)
        {
            this._db = db;
        }

        #endregion


		  #region 增删改方法


        /// <summary>
        /// 删除对象
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public EntityResult Delete(int id)
        {
            string sql = _db.ObjectToDeleteSql<sys_user_project>(new sys_user_project { ID = id });

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);

        }


        /// <summary>
        /// 添加对象
        /// </summary>
        /// <param name="t">添加对象</param>
        /// <returns>默认添加成功后，将自增主键放在Data中，根据自己的类型自行转换</returns>
        public EntityResult Insert(sys_user_project t)
        {
            string sql = _db.ObjectToInsertSql<sys_user_project>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            int id = Convert.ToInt32(_db.ExecuteScalarSql(" select LAST_INSERT_ID(); "));

            t.ID = id;

            if (result > 0) return new EntityResult(ResultType.Success, string.Empty, id);

            else return new EntityResult(ResultType.Error);
        }

        /// <summary>
        /// 修改对象
        /// </summary>
        /// <param name="t">默认根据主键作为条件</param>
        /// <returns></returns>
        public EntityResult Update(sys_user_project t)
        {
            string sql = _db.ObjectToUpdateSql<sys_user_project>(t);

            int result = _db.ExecuteNonQuerySql(sql);

            if (result > 0) return new EntityResult(ResultType.Success);

            else return new EntityResult(ResultType.Error);
        }


        #endregion


		#region 返回单个对象

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <returns>返回对象</returns>
        public sys_user_project GetObject(int id)
        {
            sys_user_project obj = _db.QueryForObjectSql<sys_user_project>(new sys_user_project()," where id = "+id.ToString());

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回对象</returns>
        public sys_user_project GetObject(string where)
        {
            sys_user_project obj = _db.QueryForObjectSql<sys_user_project>(new sys_user_project(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回对象</returns>
        public sys_user_project GetObject(string where, string orderby)
        {
            sys_user_project obj = _db.QueryForObjectSql<sys_user_project>(new sys_user_project(), where, orderby);

            return obj;
        }

        #endregion


		#region 返回集合

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <returns>返回象集合</returns>
        public List<sys_user_project> GetObjects()
        {
            List<sys_user_project> obj = _db.QueryForListSql<sys_user_project>(new sys_user_project());

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <returns>返回象集合</returns>
        public List<sys_user_project> GetObjects(string where)
        {
            List<sys_user_project> obj = _db.QueryForListSql<sys_user_project>(new sys_user_project(), where);

            return obj;
        }

        /// <summary>
        /// 获取对象集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回象集合</returns>
        public List<sys_user_project> GetObjects(string where, string orderby)
        {
            List<sys_user_project> obj = _db.QueryForListSql<sys_user_project>(new sys_user_project(), where, orderby);

            return obj;
        }

        #endregion

		#region 返回分页集合

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_user_project> GetObjects(int pageindex, int pagesize)
        {
            Page<sys_user_project> obj = _db.QueryForListSql<sys_user_project>(new sys_user_project(), pageindex, pagesize);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_user_project> GetObjects(int pageindex, int pagesize, string where)
        {
            Page<sys_user_project> obj = _db.QueryForListSql<sys_user_project>(new sys_user_project(), pageindex, pagesize, where);

            return obj;
        }

        /// <summary>
        /// 分页获取对象
        /// </summary>
        /// <param name="pageindex">当前页</param>
        /// <param name="pagesize">每页条数</param>
        /// <param name="where">查询条件</param>
        /// <param name="orderby">排序</param>
        /// <returns>返回分页集合</returns>
        public Page<sys_user_project> GetObjects(int pageindex, int pagesize, string where, string orderby)
        {
            Page<sys_user_project> obj = _db.QueryForListSql<sys_user_project>(new sys_user_project(), pageindex, pagesize, where, orderby);

            return obj;
        }

        #endregion



	
    }

 
}




