﻿using SuValue.Database;
using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.DAL
{
    public class Sys_dataDAL : IDisposable
    {
        public string connstr = ConfigurationManager.ConnectionStrings["mysql_connectionString"].ToString();

        public DbUtility _db { get; set; }

        public void Dispose()
        {
            _db.CloseConnection();
        }

        #region 构造函数

        public Sys_dataDAL(sys_project project)
        {
            _db = new DbUtility(connstr.Replace("{server}", project.data_server).Replace("{database}", project.data_database).Replace("{login}", project.data_login).Replace("{password}", project.data_password), Database.Enum.DbProviderType.MySql);

            _db.OpenConnection();
        }



        #endregion


        /// <summary>
        /// 根据sql 获取具体报表数据
        /// </summary>
        /// <param name="sql"></param>
        /// <returns></returns>
        public List<EntityChartData> GetChartData(string sql)
        {
            if (string.IsNullOrEmpty(sql)) return new List<EntityChartData>();

            List<EntityChartData> list = _db.QueryForListSql<EntityChartData>(sql);

            // 清除X轴和Y轴空数据
            list.RemoveAll(o => string.IsNullOrEmpty(o.y));
            list.RemoveAll(o => string.IsNullOrEmpty(o.x));

            return list;
        }

    }
}
