﻿using Suvalue.Redis;
using SuValue.Database;
using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.DAL
{
    public partial class da_selectionDAL
    {

        /// <summary>
        /// 根据菜单ID获取条件
        /// </summary>
        /// <param name="meunid">菜单ID</param>
        /// <returns></returns>
        public List<da_selection> GetMenuIdList(int menuid)
        {
            RedisHelper redis = new RedisHelper();

            List<da_selection> list = redis.StringGet<List<da_selection>>(menuid.ToString());

            if (list == null)
            {
                list = _db.QueryForListSql(new da_selection(), string.Format(" where menuid = {0}", menuid), " order by sort ");

                redis.StringSet(menuid.ToString(), list, new TimeSpan(DateTime.Now.Ticks));
            }

            return list;
        }

        /// <summary>
        /// 根据sql语句获取报表条件
        /// </summary>
        /// <param name="sql"></param>
        /// <returns></returns>
        public List<EntitySelectItem> GetSelectItem(int userid, string sql)
        {
            if (string.IsNullOrEmpty(sql)) return new List<EntitySelectItem>();

            sql = sql.Replace("{w}", " where userid = " + userid.ToString()).Replace("{wh}", " and userid = " + userid.ToString());

            RedisHelper redis = new RedisHelper();

            List<EntitySelectItem> list = redis.StringGet<List<EntitySelectItem>>(sql);

            if (list == null)
            {
                list = _db.QueryForListSql<EntitySelectItem>(sql);

                redis.StringSet(sql, list, new TimeSpan(DateTime.Now.Ticks));
            }

            return list;
        }

    }
}
