﻿using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace SuValue.DAL
{
    /// <summary>
    /// 医院
    /// </summary>
    public partial class sys_hospitalDAL
    {
        /// <summary>
        /// 获取有效医院
        /// </summary>
        /// <returns></returns>
        public List<sys_hospital> GetValidHospital()
        {
            return _db.QueryForListSql<sys_hospital>(new sys_hospital(), " where iscount = 1 ");
        }

        #region API首页数据源
        /// <summary>
        /// 医院地域分布情况
        /// </summary>
        /// <returns></returns>
        public List<EntityChartData> GetHospAreaTable()
        {
            string sql = @"select count(*) as Value, area as Name from view_hos_info   group by  area order by name ";
            List<EntityChartData> list = _db.QueryForListSql<EntityChartData>(sql);
            return list;
        }

        /// <summary>
        /// 医院等级分布情况
        /// </summary>
        /// <returns></returns>
        public List<EntityChartData> GetHospLevelTable()
        {
            string sql = @"select count(*) as Value,Level as Name from view_hos_info  group by Level  order by name ";
            List<EntityChartData> list = _db.QueryForListSql<EntityChartData>(sql);
            return list;
        }

        /// <summary>
        /// 医院性质
        /// </summary>
        /// <returns></returns>
        public List<EntityChartData> GetHospNaturesTable()
        {
            string sql = @"select count(*) as Value, type as Name from view_hos_info   group by  type order by name ";
            return _db.QueryForListSql<EntityChartData>(sql);
        }
        #endregion

        /// <summary>
        /// 各省医院数量
        /// </summary>
        /// <returns></returns>
        public List<EntityProvinceCount> GetHospDataTable()
        {
            string sql = @" select area,city_name,max(case level when '一级综合' then num else 0 end ) 'ClaACompHosp',
			max(case level when '一级中医' then num else 0 end)  'ClaAInHosp',
			max(case level when '一级妇幼' then num else 0 end ) 'ClaAMaterHosp',             
			max(case level when '二级综合' then num else 0 end)  'ClaBCompHosp',
			max(case level when '二级中医' then num else 0 end)  'ClaBInHosp',
			max(case level when '二级妇幼' then num else 0 end)  'ClaBMaterHosp',   		
			max(case level when '三级综合' then num else 0 end)  'ClaCCompHosp',
			max(case level when '三级中医' then num else 0 end)  'ClaCInHosp',
			max(case level when '三级妇幼' then num else 0 end ) 'ClaCMaterHosp',                    
			max(case level when '汇总' then num else 0 end ) 'Summary'	
             from ( 
						SELECT  area, city_name,CONCAT(level,type)level,count(*) num FROM view_hos_info group by area, city_name,  level ,type
            union all 
            SELECT  area,'汇总', CONCAT(level,type)level,count(*) num FROM view_hos_info group by area,  level ,type
            union all 
            SELECT   area, city_name,'汇总'level,count(*) num FROM view_hos_info group by  area,city_name
						union all 
						SELECT   area, '汇总'city_name, '汇总' level,count(*) num FROM view_hos_info group by area 
			) tab  
group by area,city_name order by city_name<>'汇总' desc ";
            return _db.QueryForListSql<EntityProvinceCount>(sql);
        }



    }
}
