﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace SuValue.Helpers.Message
{
    public class MessageHelper
    {
        public static string PostUrl = ConfigurationManager.AppSettings["WebReference.Service.PostUrl"];
        public static string VoicePostUrl = ConfigurationManager.AppSettings["WebReference.Service.VoicePostUrl"];

        /// <summary>
        /// 
        /// </summary>
        /// <param name="mobile">手机号</param>
        /// <param name="content">验证码</param>
        /// <param name="type">验证方式：1是短信   2是语音</param>
        /// <returns></returns>
        public static HttpWebResponse Message(string mobile, string content, int type)
        {

            if (type == 2)
            {
                return Voice(mobile, content);
            }
            else
            {
                content = "溯直健康提醒您，您的验证码为： " + content + "，当天有效！";

                return Message(mobile, content);

            }
        }

        public static HttpWebResponse Message(string mobile, string content)
        {
            string account = "cf_szjk";//用户名是登录ihuyi.com账号名（例如：cf_demo123）
            string password = "123456";//查看密码请登录用户中心->语音验证码->帐户参数设置->APIKEY

            string postStrTpl = "account={0}&password={1}&mobile={2}&content={3}";

            UTF8Encoding encoding = new UTF8Encoding();
            byte[] postData = encoding.GetBytes(string.Format(postStrTpl, account, password, mobile, content));

            HttpWebRequest myRequest = (HttpWebRequest)WebRequest.Create(PostUrl);
            myRequest.Method = "POST";
            myRequest.ContentType = "application/x-www-form-urlencoded";
            myRequest.ContentLength = postData.Length;

            Stream newStream = myRequest.GetRequestStream();
            // Send the data.
            newStream.Write(postData, 0, postData.Length);
            newStream.Flush();
            newStream.Close();

            return (HttpWebResponse)myRequest.GetResponse();
        }

        public static HttpWebResponse Voice(string mobile, string content)
        {
            string account = "V73140707";//用户名请登录用户中心->语音验证码->帐户参数设置->APIID
            string password = "44bf7f20c8b39a9791818ee74f55710a";//查看密码请登录用户中心->语音验证码->帐户参数设置->APIKEY
            //string mobile = "136xxxxxxxx";//手机号码
            //string content = "1125";
            string postStrTpl = "account={0}&password={1}&mobile={2}&content={3}";

            UTF8Encoding encoding = new UTF8Encoding();
            byte[] postData = encoding.GetBytes(string.Format(postStrTpl, account, password, mobile, content));

            HttpWebRequest myRequest = (HttpWebRequest)WebRequest.Create(VoicePostUrl);
            myRequest.Method = "POST";
            myRequest.ContentType = "application/x-www-form-urlencoded";
            myRequest.ContentLength = postData.Length;

            Stream newStream = myRequest.GetRequestStream();
            // Send the data.
            newStream.Write(postData, 0, postData.Length);
            newStream.Flush();
            newStream.Close();

            return (HttpWebResponse)myRequest.GetResponse();

        }

        /// <summary>
        /// 判断输入的字符串是否是一个合法的手机号
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public static bool IsMobilePhone(string input)
        {
            Regex regex = new Regex("^1[34578]\\d{9}$");
            return regex.IsMatch(input);
        }
    }
}
