﻿using SuValue.BLL;
using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace Suvalue.Evaluate.Controllers
{
    public class MenuController : BaseController
    {


        /// <summary>
        /// 获取一级菜单
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        [HttpGet]
        public EntityResult GetMenuListAll([FromUri]EntityBase model)
        {
            try
            {
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);

                MenuBLL bll = new MenuBLL();

                List<EntityMenu> list = bll.GetMenuLevelList(1, model.token);

                return new EntityResult(ResultType.Success, "", list);
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }

    }
}
